Difference between revisions of "Draft Shape2DView/fr"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
 
(7 intermediate revisions by 2 users not shown)
Line 11: Line 11:
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Draft Shape2DView
 
|Name=Draft Shape2DView
|Name/fr=Projection 2D d'une forme Draft
+
|Name/fr=Draft Projection 2D d'une forme
 
|MenuLocation=Draft → Projection 2D d'une forme
 
|MenuLocation=Draft → Projection 2D d'une forme
|Workbenches=[[Draft Module/fr|Atelier Draft]], [[Arch Module/fr|Atelier Arch]]
+
|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]
 
|SeeAlso=[[Part Workbench/fr|Atelier Part]], [[TechDraw Workbench/fr|Atelier TechDraw]]
 
|SeeAlso=[[Part Workbench/fr|Atelier Part]], [[TechDraw Workbench/fr|Atelier TechDraw]]
 
}}
 
}}
Line 19: Line 19:
 
==Description==
 
==Description==
  
Cet outil génère une projection 2D à partir d'un objet solide 3D sélectionné tels que ceux créés avec [[Part Workbench/fr|Atelier Part]], [[PartDesign Workbench/fr|Atelier PartDesign]] et [[Arch Workbench/fr|Atelier Arch]].
+
L'outil {{Button|[[Image:Draft Shape2DView.svg|16px]] [[Draft Shape2DView/fr|Draft Projection 2D d'une forme]]}} produit une projection 2D à partir d'un objet solide 3D sélectionné tel que ceux créés avec les ateliers {{KEY|[[Image:Workbench_Part.svg|16px]] [[Part Workbench/fr|Part]]}}, {{KEY|[[Image:Workbench_PartDesign.svg|16px]][[PartDesign Workbench/fr|PartDesign]]}}, and {{KEY|[[Image:Workbench_Arch.svg|16px]] [[Arch Workbench/fr|Arch]]}}.
  
La projection résultante est un objet brouillon et est placée dans la vue 3D. Cet objet peut être affiché sur une page [[TechDraw Workbench/fr|Atelier TechDraw]] à l'aide de l'outil [[TechDraw NewDraft/fr|Nouvelle vue d'un objet Draft TechDraw]]. TechDraw dispose également de ses propres outils pour créer des vues projetées, les outils [[TechDraw NewView/fr|
+
La projection résultante est un objet brouillon et est placée dans la vue 3D. Cet objet peut être affiché sur une page de l'{{Button|[[Image:Workbench_TechDraw.svg|16px]] [[TechDraw Workbench/fr|Atelier TechDraw]]}} à l'aide de l'outil {{Button|[[Image:TechDraw_NewView.svg|16px]] [[TechDraw NewView/fr|TechDraw Nouvelle vue d'un objet Draft]]}}. TechDraw dispose également de ses propres outils pour créer des vues projetées, les outils {{Button|[[Image:TechDraw_NewView.svg|16px]] [[TechDraw NewView/fr|TechDraw Nouvelle vue]]}} et {{Button|[[Image:TechDraw_NewProjGroup.svg|16px]] [[TechDraw NewProjGroup/fr|TechDrawNouveau groupe de projections]]}}. Cependant, ces outils sont destinés à la préparation de dessins techniques. Ils créent donc les vues uniquement dans la page de dessin et non dans la vue 3D.
Nouvelle vue TechDraw]] et [[TechDraw NewProjGroup/fr|Nouveau groupe de projections TechDraw]]; Cependant, ces outils sont destinés à la préparation de dessins techniques. Ils créent donc les vues uniquement dans la page de dessin et non dans la vue 3D.
 
  
 
[[Image:Draft_Shape2DView_example.jpg]]
 
[[Image:Draft_Shape2DView_example.jpg]]
Line 31: Line 30:
 
# Faites pivoter la vue pour qu’elle reflète la direction de la projection souhaitée. Par exemple, une vue de dessus projettera l'objet sur le plan XY.
 
# Faites pivoter la vue pour qu’elle reflète la direction de la projection souhaitée. Par exemple, une vue de dessus projettera l'objet sur le plan XY.
 
# Sélectionnez un objet 3D.
 
# Sélectionnez un objet 3D.
# Appuyez sur le bouton {{Button|[[Image:Draft Shape2DView.svg|16px]] [[Draft Shape2DView/fr|Projection 2D d'une forme Draft]]}}. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.
+
# Appuyez sur le bouton {{Button|[[Image:Draft Shape2DView.svg|16px]] [[Draft Shape2DView/fr|Draft Projection 2D d'une forme]]}}. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.
  
 
L'objet projeté sera créé sous l'objet sélectionné, sur le plan XY. Sa position peut être changée en changeant ses propriétés. La direction de projection peut également être modifiée après la création avec [[property editor/fr|Éditeur de propriétés]].
 
L'objet projeté sera créé sous l'objet sélectionné, sur le plan XY. Sa position peut être changée en changeant ses propriétés. La direction de projection peut également être modifiée après la création avec [[property editor/fr|Éditeur de propriétés]].
  
Si l'objet sélectionné est un [[Arch SectionPlane/fr|Plan de coupe Arch]], la projection utilisera le contenu et la direction de ce plan de coupe; dans ce cas, la propriété "Projection" sera ignorée.
+
Si l'objet sélectionné est un {{Button|[[Image:Arch SectionPlane.svg|16px]] [[Arch SectionPlane/fr|Arch Plan de coupe]]}}, la projection utilisera le contenu et la direction de ce plan de coupe; dans ce cas, la propriété "Projection" sera ignorée.
  
 
==Options==
 
==Options==
Line 93: Line 92:
  
 
{{Docnav/fr
 
{{Docnav/fr
|[[Draft_DelPoint/fr|Supprimer un point Draft]]
+
|[[Draft_DelPoint/fr|Supprimer un point]]
|[[Draft_Draft2Sketch/fr|Draft vers Esquisse Draft]]
+
|[[Draft_Draft2Sketch/fr|Draft vers Esquisse]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|IconL=Draft_DelPoint.svg
 
|IconL=Draft_DelPoint.svg
Line 101: Line 100:
 
}}
 
}}
  
{{Draft Tools navi/fr}}
+
{{Draft Tools navi{{#translation:}}}}
 
+
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi/fr}}
 
 
{{clear}}
 
{{clear}}

Latest revision as of 22:28, 21 February 2020

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft DelPoint.svg Supprimer un point
Page suivante: Draft vers Esquisse Draft Draft2Sketch.svg Arrow-right.svg

Draft Shape2DView.svg Draft Projection 2D d'une forme

Emplacement du menu
Draft → Projection 2D d'une forme
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Atelier Part, Atelier TechDraw


Description

L'outil Draft Shape2DView.svg Draft Projection 2D d'une forme produit une projection 2D à partir d'un objet solide 3D sélectionné tel que ceux créés avec les ateliers Workbench Part.svg Part, Workbench PartDesign.svgPartDesign, and Workbench Arch.svg Arch.

La projection résultante est un objet brouillon et est placée dans la vue 3D. Cet objet peut être affiché sur une page de l'Workbench TechDraw.svg Atelier TechDraw à l'aide de l'outil TechDraw NewView.svg TechDraw Nouvelle vue d'un objet Draft. TechDraw dispose également de ses propres outils pour créer des vues projetées, les outils TechDraw NewView.svg TechDraw Nouvelle vue et TechDraw NewProjGroup.svg TechDrawNouveau groupe de projections. Cependant, ces outils sont destinés à la préparation de dessins techniques. Ils créent donc les vues uniquement dans la page de dessin et non dans la vue 3D.

Draft Shape2DView example.jpg

Projection de formes solides dans le plan XY


Utilisation

  1. Faites pivoter la vue pour qu’elle reflète la direction de la projection souhaitée. Par exemple, une vue de dessus projettera l'objet sur le plan XY.
  2. Sélectionnez un objet 3D.
  3. Appuyez sur le bouton Draft Shape2DView.svg Draft Projection 2D d'une forme. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

L'objet projeté sera créé sous l'objet sélectionné, sur le plan XY. Sa position peut être changée en changeant ses propriétés. La direction de projection peut également être modifiée après la création avec Éditeur de propriétés.

Si l'objet sélectionné est un Arch SectionPlane.svg Arch Plan de coupe, la projection utilisera le contenu et la direction de ce plan de coupe; dans ce cas, la propriété "Projection" sera ignorée.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec l'objet sélectionné ou non.

Propriétés

  • DonnéesProjection: spécifie la direction de la projection en tant que vecteur. Par exemple, (0,0,1) est une projection regardant par l’axe Z, qui serait projetée sur le plan XY; (1,0,0) est une projection regardant à travers l'axe X, qui serait projetée sur le plan YZ; (0,1,0) est une projection regardant par l’axe Y, qui serait projetée sur le plan XZ. Les valeurs peuvent également être négatives, auquel cas la direction de la projection est inversée.
  • DonnéesProjection Mode: il peut s'agir de "Solid", "Individual Faces", "Cutlines" et "Cutfaces".
    • La projection par défaut est "Solid", qui projette toute la forme sélectionnée.
    • Si seules certaines faces de l'objet de base sont sélectionnées, le mode "Individual Faces" ne projette que ces faces.
    • Si l'objet sélectionné est un Plan de coupe Arch, le mode "Cutlines" ne projettera que les arêtes coupées par le plan de coupe.
    • Si l'objet sélectionné est un Plan de coupe Arch, le mode "Cutfaces" affichera les zones coupées des solides sous forme de faces.
  • DonnéesIn Place: si mis à True, ainsi que des modes "Cutlines" ou "Cutfaces", la projection résultante apparaîtra comme coplanaire avec le Plan de coupe Arch. Introduit dans la version 0.17
  • DonnéesHiddenLines: si mis à True, il affichera les lignes cachées de la projection.
  • DonnéesTessellation: si mis à True, elle tessellera les ellipses et les splines, c'est-à-dire qu'elle représentera des courbes avec des segments très fins.
Remarque: cette opération peut nécessiter beaucoup de calcul si DonnéesSegment Length est très petit.
  • DonnéesSegment Length: spécifie la taille en millimètres des segments linéaires si DonnéesTessellation est à True.
Remarque: commencez par définir une valeur plus grande, puis modifiez-la en une valeur plus petite pour obtenir une meilleure résolution.
  • DonnéesVisible Only: si mis à True, la projection ne sera recalculée que si elle est visible.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Projection 2D d'une forme peut être utilisé dans une macro et à partir de la console Python à l'aide de la fonction suivante:

Shape2DView = makeShape2DView(baseobj, projectionVector=None, facenumbers=[])
  • Crée Shape2DView en tant que projection du baseobj donné.
    • Si facenumbers est donné, il s'agit d'une liste de numéros de visage à prendre en compte pour la projection.
  • Si un projectionVector est donné, il est utilisé; sinon, la projection par défaut est le long de l'axe Z.

L'attribut ProjectionMode doit être remplacé par le mode souhaité qui peut être "Solid", "Individual Faces", "Cutlines" ou "Cutfaces".

Exemple :

import FreeCAD, Draft

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

Shape1 = Draft.makeShape2DView(Box)

Shape2 = Draft.makeShape2DView(Box, FreeCAD.Vector(1, -1, 1))

Shape3 = Draft.makeShape2DView(Box, FreeCAD.Vector(-1, 1, 1), [4,5])
Shape3.ProjectionMode = "Individual Faces"

FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft DelPoint.svg Supprimer un point
Page suivante: Draft vers Esquisse Draft Draft2Sketch.svg Arrow-right.svg